﻿@model List<AvailableToPromiseView>

@{ 
    AvailableToPromiseView mOITWRow = Model.Where(c => c.Document == "OITW").FirstOrDefault();
}
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@PurchaseOrders.Document</th>
                        <th>@PurchaseOrders.CV</th>
                        <th>@PurchaseOrders.OD</th>
                        <th>@PurchaseOrders.DelDate</th>
                        <th>@PurchaseOrders.Ordered</th>
                        <th>@PurchaseOrders.Committed</th>
                        <th>@PurchaseOrders.Available</th>
                        <th>@PurchaseOrders.UMN</th>
                        <th>@PurchaseOrders.IPU</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>&nbsp;</td>
                        <td>@PurchaseOrders.IS</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>@(mOITWRow.OnHand != null ? mOITWRow.OnHand.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                    @{
                        decimal mAvailable = (mOITWRow.OnHand != null ? mOITWRow.OnHand.Value : 0);
                        foreach (AvailableToPromiseView mATPRow in Model.Where(c => c.Document != "OITW").OrderBy(c => c.DeliveryDateOrder).ThenBy(c => c.OrderDate).ThenByDescending(c => c.Document).ThenBy(c => c.DocEntry))
                        {
                            decimal mOrdered = (mATPRow.Ordered != null ? mATPRow.Ordered.Value : 0) * (mATPRow.BaseQty != null ? mATPRow.BaseQty.Value : 1);
                            decimal mCommitted = (mATPRow.Committed != null ? mATPRow.Committed.Value : 0) * (mATPRow.BaseQty != null ? mATPRow.BaseQty.Value : 1);
                            mAvailable = mAvailable + (mOrdered) - (mCommitted);
                            <tr>
                                <td>@mATPRow.DocumentName @mATPRow.DocEntry</td>
                                <td>@mATPRow.CardName</td>
                                <td>@((mATPRow.OrderDate != null && mATPRow.OrderDate != DateTime.MinValue) ? mATPRow.OrderDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@((mATPRow.DeliveryDate != null && mATPRow.DeliveryDate != DateTime.MinValue) ? mATPRow.DeliveryDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@mOrdered.ToString("F2", CultureInfo.InvariantCulture)</td>
                                <td>@mCommitted.ToString("F2", CultureInfo.InvariantCulture)</td>
                                <td>@mAvailable.ToString("F2", CultureInfo.InvariantCulture)</td>
                                <td>@mATPRow.UomName</td>
                                <td>@(mATPRow.BaseQty != null ? mATPRow.BaseQty.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                            </tr>
                        }
                    }
                </tbody>
            </table>